<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'SolutionsFeatureList',
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <section class="slp-mb-64">
    <SlpRow class="slp-mb-24">
      <SlpColumn class="feature-list-header" :cols="7">
        <SlpIcon
          v-if="data.icon && data.use_icon_component"
          :name="data.icon.name"
          :alt="data.icon.alt"
          :variant="data.icon.variant"
          size="xl"
        />
        <img
          v-else-if="data.icon"
          class="feature-list-header__icon"
          :src="data.icon.name"
          :alt="data.icon.alt"
          loading="lazy"
        />
        <SlpTypography
          tag="h2"
          variant="heading3"
          class="slp-mb-4"
          :class="data.subtitle ? 'slp-mb-4' : 'slp-mb-24'"
          >{{ data.title }}
        </SlpTypography>
        <SlpTypography
          v-if="data.subtitle"
          tag="div"
          variant="body1"
          class="slp-mb-24"
          v-html="$md.render(data.subtitle)"
        />
      </SlpColumn>
    </SlpRow>
    <SlpRow class="slp-justify-content-center">
      <SlpColumn v-for="feature in data.features" :key="feature.title">
        <div class="feature">
          <SlpIcon
            v-if="feature.icon"
            class="feature__icon"
            :name="feature.icon.name"
            :alt="feature.icon.alt"
            :variant="feature.icon.variant"
            :hex-color="feature.icon.hex_color"
          />
          <SlpTypography tag="p" variant="body1" class="feature__title">{{
            feature.title
          }}</SlpTypography>
          <div
            class="feature__subfeatures"
            v-html="$md.render(feature.description)"
          ></div>
          <img
            v-if="feature.image_url"
            class="feature__image"
            :src="feature.image_url"
            :alt="feature.image_alt"
            loading="lazy"
          />
          <div
            v-if="feature.image_tagline"
            class="feature__imagetagline"
            v-html="$md.render(feature.image_tagline)"
          ></div>
        </div>
      </SlpColumn>
    </SlpRow>
  </section>
</template>

<style lang="scss" scoped>
.feature-list-header {
  text-align: center;
  margin-left: auto;
  margin-right: auto;
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;

  &__icon {
    height: 72px;
  }
}

.feature {
  padding: $spacing-32;
  margin: $spacing-8;
  margin-bottom: $spacing-32;
  background-color: #f5f5f5;
  position: relative;
  height: 100%;

  .slp-icon {
    position: absolute;
    top: -$spacing-16;
    height: 35px;
    width: 35px;
  }

  &__title {
    font-weight: 600;
    margin-bottom: $spacing-8;
  }

  &__description {
    margin-bottom: $spacing-16;
  }

  &__subfeatures {
    &:deep p {
      margin-bottom: $spacing-16;
    }

    &:deep ul {
      list-style: disc;
      margin-left: $spacing-48;

      li {
        margin-top: $spacing-8;
      }
    }
  }

  &__image {
    width: 100%;
    margin-top: $spacing-16;
  }

  &__imagetagline {
    font-size: 12px;
  }

  &__disclaimer {
    font-size: 12px;
  }
}
</style>
